import { __assign, __rest } from "tslib";
// @ts-nocheck
import React from 'react';
import { cn } from '../../utils/bem';
import { forwardRefWithAs } from '../../utils/types/PropsWithAsAttributes';
import { Typography } from '../Typography';
var cnFieldCaption = cn('FieldCaption');
export var FieldCaption = forwardRefWithAs(function (props, ref) {
    var status = props.status, children = props.children, className = props.className, otherProps = __rest(props, ["status", "children", "className"]);
    return (React.createElement(Typography.Text, __assign({ view: status || 'secondary', className: cnFieldCaption(null, [className]) }, otherProps, { ref: ref, size: "s" }), children));
});
